#include <iostream>
using namespace std;
int main()
{
    int n;
    cin>>n;
    int row[n],col[n];
    for(int i=0;i<n;i++)
    {
        row[i]=col[i]=0;
    }
    for(int i=0;i<n;i++)
    {
        int r,c;
        cin>>r>>c;
        row[r-1]++;
        col[c-1]++;
    }
    int broj=0;
    for(int i=0;i<n;i++)
    {
        if(!row[i])
        {
            int levo,desno;
            for(levo=i-1;levo>=0&&row[levo]<2;levo--);
            for(desno=i+1;desno<n&&row[desno]<2;desno++);
            if((i-levo<=desno-i&&levo>-1)||desno==n)
            {
                broj+=i-levo;
                row[levo]--;
                row[i]++;
            }
            else
            {
                broj+=desno-i;
                row[desno]--;
                row[i]++;
            }
        }
        if(!col[i])
        {
            int levo,desno;
            for(levo=i-1;levo>=0&&col[levo]<2;levo--);
            for(desno=i+1;desno<n&&col[desno]<2;desno++);
            if((i-levo<=desno-i&&levo>-1)||desno==n)
            {
                broj+=i-levo;
                col[levo]--;
                col[i]++;
            }
            else
            {
                broj+=desno-i;
                col[desno]--;
                col[i]++;
            }
        }
    }
    cout<<broj;
    return 0;
}